org.springframework.beans

## Class ExtendedBeanInfoFactory

- java.lang.Object
- - org.springframework.beans.ExtendedBeanInfoFactory

All Implemented Interfaces:
  BeanInfoFactory, Ordered

    public class ExtendedBeanInfoFactory
    extends Object
    implements Ordered, BeanInfoFactory

`BeanInfoFactory` implementation that evaluates whether bean classes have "non-standard" JavaBeans setter methods and are thus candidates for introspection by Spring's `ExtendedBeanInfo`.

Ordered at `Ordered.LOWEST_PRECEDENCE` to allow other user-defined `BeanInfoFactory` types to take precedence.

Since:
  3.2
Author:
  Chris Beams
See Also:
  `BeanInfoFactory`

### Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Constructor Summary

Constructors
Constructor and Description
`ExtendedBeanInfoFactory()`

### Method Summary

Methods
`BeanInfo` `getBeanInfo(Class<?> beanClass)` Return a new `ExtendedBeanInfo` for the given bean class.
`int` `getOrder()` Return the order value of this object, with a higher value meaning greater in terms of sorting.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedBeanInfoFactory

    public ExtendedBeanInfoFactory()

### Method Detail

#### getBeanInfo

    public BeanInfo getBeanInfo(Class<?> beanClass)
                         throws IntrospectionException

Return a new `ExtendedBeanInfo` for the given bean class.

Specified by:
  `getBeanInfo` in interface `BeanInfoFactory`
Parameters:
  `beanClass` - the bean class
Returns:
  the bean info, or `null` if not the given class is not supported
Throws:
  `IntrospectionException` - in case of exceptions

#### getOrder

    public int getOrder()

Description copied from interface: `Ordered`
Return the order value of this object, with a higher value meaning greater in terms of sorting.

Normally starting with 0, with `Integer.MAX_VALUE` indicating the greatest value. Same order values will result in arbitrary positions for the affected objects.

Higher values can be interpreted as lower priority. As a consequence, the object with the lowest value has highest priority (somewhat analogous to Servlet "load-on-startup" values).

Specified by:
  `getOrder` in interface `Ordered`
Returns:
  the order value